% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/1_unique_choice.R
\name{unique_choice}
\alias{unique_choice}
\title{Figure out how many options exist}
\usage{
unique_choice(data, L_choice = "L_choice", R_choice = "R_choice")
}
\arguments{
\item{data}{[data.frame] raw data. 
This data should include the following mandatory columns: 
- "sub", "time_line", "L_choice", "R_choice", "L_reward", "R_reward".}

\item{L_choice}{[character] column name of left choice. 
e.g., `L_choice = "Left_Choice"`}

\item{R_choice}{[character] column name of right choice. 
e.g., `R_choice = "Right_Choice"`}
}
\value{
list:
  \itemize{
    \item{\code{data}: raw data frame + null cols [options].}
    \item{\code{options}: a vector containing all options.}
  }
}
\description{
Figure out how many options exist
}
